minetest.register_entity("illuna:rulehint", {
    visual = "sprite",
    visual_size = {x=3,y=3},
    collisionbox = {0},
    physical = false,
    glow = 10,
    textures = {"illuna_rulehint.png"},
})

minetest.register_entity("illuna:travelcenter_ne", {
    visual = "sprite",
    visual_size = {x=2.5,y=2.5},
    collisionbox = {0},
    physical = false,
    glow = 10,
    textures = {"illuna_travelcenter_ne.png"},
})

minetest.register_entity("illuna:travelcenter_nw", {
    visual = "sprite",
    visual_size = {x=2.5,y=2.5},
    collisionbox = {0},
    physical = false,
    glow = 10,
    textures = {"illuna_travelcenter_nw.png"},
})

minetest.register_entity("illuna:travelcenter_se", {
    visual = "sprite",
    visual_size = {x=2.5,y=2.5},
    collisionbox = {0},
    physical = false,
    glow = 10,
    textures = {"illuna_travelcenter_se.png"},
})

minetest.register_entity("illuna:travelcenter_sw", {
    visual = "sprite",
    visual_size = {x=2.5,y=2.5},
    collisionbox = {0},
    physical = false,
    glow = 10,
    textures = {"illuna_travelcenter_sw.png"},
})

minetest.register_entity("illuna:kingdom_entrance", {
    visual = "sprite",
    visual_size = {x=2.5,y=2.5},
    collisionbox = {0},
    physical = false,
    glow = 10,
    textures = {"illuna_kingdom_entrance.png"},
})

minetest.register_entity("illuna:market", {
    visual = "sprite",
    visual_size = {x=2.5,y=2.5},
    collisionbox = {0},
    physical = false,
    glow = 10,
    textures = {"illuna_market.png"},
})

mobs:register_mob("illuna:event_egg", {
	type = "animal",
	passive = true,
	reach = 1,
	hp_min = 50,
	hp_max = 130,
	armor = 600,
	collisionbox = {-0.1, -0.12, -0.1, 0.1, 0.12, 0.1},
    visual = "mesh",
	mesh = "event_egg.obj",
	textures = {
		{"event_egg.png"},
	},
    visual_size = {x=2, y=2},
	sounds = {},
	makes_footstep_sound = false,
	runaway = true,
	jump = true,
    walk_chance = 0,
    walk_velocity = 2,
    stepheight = 0.6,
    jump_chance = 5,
	water_damage = 0,
	lava_damage = 50,
	light_damage = 0,
	fear_height = 5,
	view_range = 8,
    drops = {
        {name = "bows:arrow_rainbow", chance = 1, min = 2, max = 15},
        {name = "mobs:egg", chance = 5, min = 1, max = 1},
        {name = "illuna:donorcoin", chance = 22, min = 1, max = 1},
    },
})

-- TODO: doublecheck the spawnchance 
mobs:register_spawn("illuna:event_egg", {"default:grass_5"}, 20, 10, 700, 2, 31000, true)
mobs:register_egg("illuna:event_egg", "Event Egg", nil, 0)
